Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface BurstingSchemaInfo

    public interface BurstingSchemaInfo

`BurstingSchemaInfo` represents a bursting schema in report.

Since:
  version 9

Method Summary
`java.lang.String` | `getName()` Get the bursting schema name.
`java.util.Vector` | `getParamInfosByValueForRecipient(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId)` Return parameters for the query that retrieves recipient addresses according to the name and the value of a certain parameter.
`java.util.Vector` | `getParamInfosForRecipient()` Get parameters for the query that retrieves recipient addresses.
`BurstingRecipientInfo` | `getRecipientInfo()` Get bursting recipient information that defined in the bursting schema.

Method Detail

### getName

    java.lang.String getName()

  Get the bursting schema name.

  Returns:
    bursting schema name.

### getRecipientInfo

    BurstingRecipientInfo getRecipientInfo()

  Get bursting recipient information that defined in the bursting schema.

  Returns:
    A `BurstingRecipientInfo` object to represent bursting recipient information.

### getParamInfosForRecipient

    java.util.Vector getParamInfosForRecipient()

  Get parameters for the query that retrieves recipient addresses.

  Returns:
    parameters for the query. The `Vector` cantains `ParamInfo` objects.
  Since:
    version 9
  See Also:
    `ParamInfo`

### getParamInfosByValueForRecipient

    java.util.Vector getParamInfosByValueForRecipient(java.lang.String paramName,
                                                      java.lang.String value,
                                                      java.lang.String paramEngineId)
                                                      throws RptServerException

  Return parameters for the query that retrieves recipient addresses according to the name and the value of a certain parameter. If the value is null, it applies the default value of the certain parameter; if the name is null, the method will return null; otherwise it will return all parameters depends on the certain parameter according to the value.

  Parameters:
    `paramName` - the parameter name.
    `value` - the value of the parameter.
    `paramEngineId` - the ID of engine which generates parameters.
  Returns:
    parameters for the query that retrieves recipient addresses accordingly The `Vector` cantains `ParamInfo` objects.
  Throws:
    `RptServerException` - if a RptServerException occurs.
  Since:
    version 9
  See Also:
    `ParamInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD